Next: va_start-trad, Up: Varargs

#### 13.2.1 Declare variable arguments

Synopsis

         #include <varargs.h>
         function(va_alist)
         va_dcl

Description
To use the `varargs.h` version of variable argument lists, you must declare your function with a call to the macro `va_alist` as its argument list, and use `va_dcl` as the declaration. Do not use a semicolon after `va_dcl`.

Returns
These macros cannot be used in a context where a return is syntactically possible.

Portability
va_alist and va_dcl were the most widespread method of declaring variable argument lists prior to ANSI C.